Bug 1122582 - webadmin-reports SSO is broken
Summary: webadmin-reports SSO is broken
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-webadmin
Version: 3.5
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
: 3.5.0
Assignee: Oved Ourfali
QA Contact: Petr Matyáš
URL:
Whiteboard: infra
Depends On: 1116851 1144079
Blocks: rhev35betablocker rhev35rcblocker rhev35gablocker
TreeView+ depends on / blocked
 
Reported: 2014-07-23 14:27 UTC by Oved Ourfali
Modified: 2016-02-10 19:31 UTC (History)
10 users (show)

Fixed In Version: ovirt-3.5.0_rc1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:43:08 UTC
oVirt Team: Infra


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 30593 master MERGED webadmin: set the engine session ID as the reports token Never
oVirt gerrit 30649 ovirt-engine-3.5 MERGED webadmin: set the engine session ID as the reports token Never
oVirt gerrit 33289 master MERGED core, webadmin : Fix issues with reports integration Never

Description Oved Ourfali 2014-07-23 14:27:11 UTC
Webadmin-reports SSO doesn't work.
It shows a reports login page.

Comment 1 Petr Matyáš 2014-09-18 13:51:51 UTC
Not sure how to test this, when I don't see any "Show Report" button.

Comment 2 Shirly Radco 2014-09-18 19:52:10 UTC
SSO is still broken due to other bugs. Adding depends on.
This should be available for testing for local installation in the next release.

Comment 3 Petr Matyáš 2014-10-14 11:08:21 UTC
I just tested it and it worked. Is it supposed to?

Comment 4 Shirly Radco 2014-10-14 11:28:01 UTC
Yes. This should be fixed.

Comment 5 Sandro Bonazzola 2014-10-17 12:43:08 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.